curl -X PUT "https://app.cotool.ai/api/output-destinations/:destinationId/enabled" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"enabled":true}'import requests
url = "https://app.cotool.ai/api/output-destinations/{destinationId}/enabled"
payload = { "enabled": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true})
};
fetch('https://app.cotool.ai/api/output-destinations/{destinationId}/enabled', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.put("https://app.cotool.ai/api/output-destinations/{destinationId}/enabled")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"enabled\": true\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/output-destinations/{destinationId}/enabled"
payload := strings.NewReader("{\n \"enabled\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"type": "webhook",
"config": {
"url": "<string>",
"authType": "bearer",
"headerName": "<string>"
},
"usageCount": 123,
"disabledAt": "<string>",
"token": "<string>",
"hasToken": true
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Enable or disable output destination
Disable an output destination to stop every delivery to it while keeping its configuration and the agents and notifications routed to it, or enable it again.
curl -X PUT "https://app.cotool.ai/api/output-destinations/:destinationId/enabled" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"enabled":true}'import requests
url = "https://app.cotool.ai/api/output-destinations/{destinationId}/enabled"
payload = { "enabled": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true})
};
fetch('https://app.cotool.ai/api/output-destinations/{destinationId}/enabled', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.put("https://app.cotool.ai/api/output-destinations/{destinationId}/enabled")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"enabled\": true\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/output-destinations/{destinationId}/enabled"
payload := strings.NewReader("{\n \"enabled\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"type": "webhook",
"config": {
"url": "<string>",
"authType": "bearer",
"headerName": "<string>"
},
"usageCount": 123,
"disabledAt": "<string>",
"token": "<string>",
"hasToken": true
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Authorizations
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Path Parameters
Body
False to stop every delivery to the destination while keeping its configuration and routes; true to resume
Response
Successful response
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
Unique identifier for the destination
Organization that owns this destination
Human-readable name for this destination
1 - 255When the destination was created
When the destination was last updated
"webhook"Show child attributes
Show child attributes
Number of detections using this destination
When the destination was disabled; nothing is delivered to a disabled destination. Null or absent when enabled.
The authentication token (only returned to authorized users)
Whether a token is configured
Was this page helpful?